Validate and check IBAN
POST /obp/v7.0.0/account/check/scheme/iban
OBPv4.0.0-ibanChecker No role required Account
Validate and check IBAN for errors
User Authentication is Optional. The User need not be logged in.
JSON request body fields (1)
- address
JSON response body fields (14)
- address
- attributes
- attribute value in form of (name, value)
- bank
- bank_routings
- bank routing in form of (scheme, address)
- branch
- branch
- city
- country
- Germany
- is_valid
- is_valid
- name
- ACCOUNT_MANAGEMENT_FEE
- phone
- postcode
- scheme
- OBP
- value
- 5987953
- details
Example request body
{
"address": "DE75512108001245126199"
}Example success response
{
"is_valid": true,
"details": {
"bank_routings": [
{
"scheme": "BIC",
"address": "SOGEDEFF"
}
],
"bank": "Societe Generale",
"branch": "",
"address": "Neue mainzer strasse 46-50",
"city": "Frankfurt am Main",
"postcode": "60311",
"phone": "",
"country": "Germany",
"attributes": [
{
"name": "country_iso",
"value": ""
},
{
"name": "sepa_credit_transfer",
"value": "YES"
},
{
"name": "sepa_direct_debit",
"value": "YES"
},
{
"name": "sepa_sdd_core",
"value": "YES"
},
{
"name": "sepa_b2b",
"value": "YES"
},
{
"name": "sepa_card_clearing",
"value": "YES"
}
]
}
}Possible errors (1)
- OBP-50000: Unknown Error.